> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gloo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Question Answers Analysis

> Question Answers Analysis.

<Warning>
  **Deprecated Endpoint**: This endpoint is deprecated and no longer supported.
</Warning>


## OpenAPI

````yaml post /ai/v1/kallm/sotc/question-answers-analysis
openapi: 3.1.0
info:
  title: AI API
  description: |-
    Optimized for high-speed inference and scalability by Gloo AI

    [Swagger UI](./docs) | [ReDoc UI](./redoc)
  version: 1.0.0
servers:
  - url: https://platform.ai.gloo.com
security:
  - bearerAuth: []
tags:
  - name: Content Controls
  - name: Data Engine
  - name: Ingestion & Enrichment
  - name: answers
  - name: chat
  - name: completions
  - name: content
  - name: core
  - name: data
  - name: get-models
  - name: ingestion
  - name: sotc
paths:
  /ai/v1/kallm/sotc/question-answers-analysis:
    post:
      tags:
        - sotc
      summary: Question Answers Analysis
      description: Question Answers Analysis.
      operationId: >-
        question_answers_analysis_ai_v1_kallm_sotc_question_answers_analysis_post
      requestBody:
        content:
          application/json:
            schema:
              items:
                $ref: '#/components/schemas/QuestionAnalysisRequestBody'
              type: array
              title: Request Body
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                title: >-
                  Response Question Answers Analysis Ai V1 Gloo AI Chat Sotc
                  Question Answers Analysis Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      deprecated: true
components:
  schemas:
    QuestionAnalysisRequestBody:
      properties:
        question:
          type: string
          title: Question
          description: Question to analyze
        questionId:
          type: integer
          title: Questionid
          description: Question ID
        answers:
          items:
            type: object
          type: array
          title: Answers
          description: List of answers with their details as json objects
      type: object
      required:
        - question
        - questionId
        - answers
      title: QuestionAnalysisRequestBody
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer `<token>`, where
        `<token>` is your [auth token](/studio/manage-api-credentials).

````